Subject: smsc911x.c driver and SMP (was Re: Kernel related (?) user space crash at ARM11 MPCore)

From: [email-masked] (Bill Gatliff)
Date: Fri, 11 Sep 2009 10:20:23 -0500

Catalin Marinas wrote:
> On Fri, 2009-09-11 at 07:55 -0500, Bill Gatliff wrote:
>   
>>
>> Why take the lock in smsc911x_tx_writefifo?  It looks like you take the 
>> same lock again in smsc911x_reg_write.
>>     
>
> Ah, ok, I haven't tried the 16-bit mode, only the 32-bit one and was
> working fine, no deadlocks. But I can't say whether that's the right
> fix, it's better for SMSC to look into it.
>
>   

I certainly won't object to SMSC taking a look at it.  :)  But your 
changes pass the common-sense test AFAICT, apart from my question above.

b.g.

-- 
Bill Gatliff
bgat at billgatliff.com